<!-- Javascript to handle view actions. DO NOT TOUCH -->
<script>
var handlerFunc = function(t) {
    if(t.responseText!="") setStatus(t.responseText, 1000, 'statusContainer');
}
var errFunc = function(t) {
    alert('Error ' + t.status + ' -- ' + t.statusText);
}
<!-- BEGIN DYNAMIC BLOCK: checkbox_updatejs -->
function UpdatePublic(objCheck){
    if(objCheck.checked) value=1;
    else value=0;
    
    new Ajax.Request('index.php',
                              {parameters:'fuse={FUSE}&action={ACTION_UPDATEPUBLIC}&reportname={REPORTNAME}&publishvalue='+value, onSuccess:handlerFunc, onFailure:errFunc}
                     )
}
<!-- END DYNAMIC BLOCK: checkbox_updatejs -->
</script>

<br />

<form method=post action=index.php name='report_options'>
<!-- BEGIN DYNAMIC BLOCK: checkbox -->
<input type=checkbox onclick='UpdatePublic(this);' name=public {PUBLICCHECKED}>&nbsp;[l]Make Visable By Staff[/l]<br>
<!-- END DYNAMIC BLOCK: checkbox -->

<!-- BEGIN DYNAMIC BLOCK: nonadmincheckbox -->
<!-- <input type=checkbox name=home {SHOWHOMECHECK}>&nbsp;[l]View in My Right Panel[/l] -->
<!-- END DYNAMIC BLOCK: nonadmincheckbox -->
</form>
<br><br>
